Index: /gsdl/trunk/lib/Makefile.in
===================================================================
--- /gsdl/trunk/lib/Makefile.in	(revision 15545)
+++ /gsdl/trunk/lib/Makefile.in	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..
 INDEXERS_DIR = $(GSDL_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/packages
 
 
Index: /gsdl/trunk/lib/win32.mak
===================================================================
--- /gsdl/trunk/lib/win32.mak	(revision 15545)
+++ /gsdl/trunk/lib/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 
 
@@ -33,5 +34,5 @@
 DLL = 0
 DLLDEBUG = 0
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 
 
@@ -55,5 +56,5 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN \
        -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
-INCLUDES = -I"$(GSDL_DIR)" -I"$(INDEXERS_DIR)\mg\lib" -I"$(GSDL_DIR)\packages\windows\gdbm\gdbm"
+INCLUDES = -I"$(GSDL_DIR)" -I"$(INDEXERS_DIR)\mg\lib" -I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
 
 !IF $(GSDL_VC4)
Index: /gsdl/trunk/src/colservr/Makefile.in
===================================================================
--- /gsdl/trunk/src/colservr/Makefile.in	(revision 15545)
+++ /gsdl/trunk/src/colservr/Makefile.in	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ../..
 INDEXERS_DIR = $(GSDL_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/packages
 
 
@@ -39,5 +40,5 @@
 	-I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text \
 	-I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text \
-	-I$(GSDL_DIR)/packages/expat/include
+	-I$(PACKAGES_DIR)/expat/include
 RANLIB = @RANLIB@
 
Index: /gsdl/trunk/src/colservr/win32.mak
===================================================================
--- /gsdl/trunk/src/colservr/win32.mak	(revision 15545)
+++ /gsdl/trunk/src/colservr/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..\..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 
 
@@ -32,5 +33,5 @@
 DLL = 0
 DLLDEBUG = 0
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 
 
@@ -57,5 +58,5 @@
 	-I"$(INDEXERS_DIR)\mg" -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mg\src\text" \
 	-I"$(INDEXERS_DIR)\mgpp\lib" -I"$(INDEXERS_DIR)\mgpp\text" \
-	-I"$(GSDL_DIR)\packages\windows\expat\expat" -I"$(GSDL_DIR)\packages\windows\gdbm\gdbm"
+	-I"$(PACKAGES_DIR)\windows\expat\expat" -I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
 
 !IF $(GSDL_VC4)
Index: /gsdl/trunk/src/oaiservr/Makefile.in
===================================================================
--- /gsdl/trunk/src/oaiservr/Makefile.in	(revision 15545)
+++ /gsdl/trunk/src/oaiservr/Makefile.in	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ../..
 INDEXERS_DIR = $(GSDL_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/packages
 COLSERVR_DIR = $(GSDL_DIR)/src/colservr
 PROTOCOL_DIR = $(GSDL_DIR)/src/protocol
@@ -44,5 +45,5 @@
 INCLUDES = -I$(GSDL_DIR)/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) -I$(RECPT_DIR) -I$(INDEXERS_DIR)/mgpp/text
 LDFLAGS = @LDFLAGS@
-LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(GSDL_DIR)/packages/expat/lib -lexpat $(ACCENTFOLD_LIBS)
+LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS)
 INSTALL = @INSTALL@
 
Index: /gsdl/trunk/src/oaiservr/win32.mak
===================================================================
--- /gsdl/trunk/src/oaiservr/win32.mak	(revision 15545)
+++ /gsdl/trunk/src/oaiservr/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..\..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 COLSERVR_DIR = $(GSDL_DIR)\src\colservr
 PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
@@ -38,5 +39,5 @@
 ENABLE_ACCENTFOLD = 1
 
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 
 
@@ -66,9 +67,9 @@
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE -DGSDL_NOCACHE
 INCLUDES = -I"$(GSDL_DIR)\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
-        -I"$(INDEXERS_DIR)\mgpp\text" -I"$(GSDL_DIR)\packages\windows\crypt\crypt" \
-	-I"$(GSDL_DIR)\packages\windows\expat\expat" -I"$(GSDL_DIR)\packages\windows\gdbm\gdbm"
+        -I"$(INDEXERS_DIR)\mgpp\text" -I"$(PACKAGES_DIR)\windows\crypt\crypt" \
+	-I"$(PACKAGES_DIR)\windows\expat\expat" -I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
 LDFLAGS = 
-LIBS = "$(GSDL_DIR)\packages\windows\crypt\crypt\crypt.lib" "$(GSDL_DIR)\packages\windows\expat\expat\libexpat.lib" \
-        "$(GSDL_DIR)\packages\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS)
+LIBS = "$(PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
+        "$(PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS)
 
 !IF $(GSDL_VC4)
Index: /gsdl/trunk/src/protocol/Makefile.in
===================================================================
--- /gsdl/trunk/src/protocol/Makefile.in	(revision 15545)
+++ /gsdl/trunk/src/protocol/Makefile.in	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ../..
 INDEXERS_DIR = $(GSDL_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/packages
 COLSERVR_DIR = $(GSDL_DIR)/src/colservr
 
Index: /gsdl/trunk/src/protocol/win32.mak
===================================================================
--- /gsdl/trunk/src/protocol/win32.mak	(revision 15545)
+++ /gsdl/trunk/src/protocol/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..\..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 COLSERVR_DIR = $(GSDL_DIR)\src\colservr
 
@@ -33,5 +34,5 @@
 DLL = 0
 DLLDEBUG = 0
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 
 
@@ -56,5 +57,5 @@
 # Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
 INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\lib" -I"$(COLSERVR_DIR)" -I"$(INDEXERS_DIR)\mgpp\text" \
-	 -I"$(GSDL_DIR)\packages\windows\gdbm\gdbm"
+	 -I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
 
 !IF $(GSDL_VC4)
Index: /gsdl/trunk/src/recpt/Makefile.in
===================================================================
--- /gsdl/trunk/src/recpt/Makefile.in	(revision 15545)
+++ /gsdl/trunk/src/recpt/Makefile.in	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ../..
 INDEXERS_DIR = $(GSDL_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/packages
 COLSERVR_DIR = $(GSDL_DIR)/src/colservr
 PROTOCOL_DIR = $(GSDL_DIR)/src/protocol
@@ -42,6 +43,6 @@
 ifeq ($(USE_FASTCGI), 1)
 FASTCGI_DEFS = -DUSE_FASTCGI
-FASTCGI_INCLUDES = -I$(GSDL_DIR)/packages/fcgi/include
-FASTCGI_LIBS = $(GSDL_DIR)/packages/fcgi/libfcgi/libfcgi.a
+FASTCGI_INCLUDES = -I$(PACKAGES_DIR)/fcgi/include
+FASTCGI_LIBS = $(PACKAGES_DIR)/fcgi/libfcgi/libfcgi.a
 else
 FASTCGI_DEFS =
@@ -54,5 +55,5 @@
 Z3950_DEFS = -DUSE_Z3950
 Z3950_INCLUDES = -I$(Z3950_DIR)
-Z3950_LIBS = $(Z3950_DIR)/gsdlz3950.a $(GSDL_DIR)/packages/yaz/lib/libyaz.a
+Z3950_LIBS = $(Z3950_DIR)/gsdlz3950.a $(PACKAGES_DIR)/yaz/lib/libyaz.a
 else
 Z3950_DEFS =
@@ -67,8 +68,8 @@
 INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(GSDL_DIR)/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) \
 	-I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mgpp/text \
-        -I$(GSDL_DIR)/packages/expat/include $(FASTCGI_INCLUDES) $(Z3950_INCLUDES)
+        -I$(PACKAGES_DIR)/expat/include $(FASTCGI_INCLUDES) $(Z3950_INCLUDES)
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@
-LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(GSDL_DIR)/packages/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
+LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
 	$(FASTCGI_LIBS) $(Z3950_LIBS)
 
Index: /gsdl/trunk/src/recpt/win32.mak
===================================================================
--- /gsdl/trunk/src/recpt/win32.mak	(revision 15545)
+++ /gsdl/trunk/src/recpt/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..\..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 COLSERVR_DIR = $(GSDL_DIR)\src\colservr
 PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
@@ -39,5 +40,5 @@
 ENABLE_ACCENTFOLD = 1
 
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 
 
@@ -66,5 +67,5 @@
 Z3950_INCLUDES = -I$(Z3950_DIR)
 Z3950_LDFLAGS = /link /NOD:msvcrt.lib
-Z3950_LIBS = $(Z3950_DIR)\gsdlz3950.lib $(GSDL_DIR)\packages\yaz\yaz-2.1.4\lib\yaz.lib
+Z3950_LIBS = $(Z3950_DIR)\gsdlz3950.lib $(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib
 !ELSE
 Z3950_DEFS = 
@@ -80,9 +81,9 @@
 INCLUDES = -I. -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
 	-I"$(INDEXERS_DIR)\mg" -I"$(INDEXERS_DIR)\mg\lib" -I"$(INDEXERS_DIR)\mgpp\text" \
-	-I"$(GSDL_DIR)\packages\windows\crypt\crypt" -I"$(GSDL_DIR)\packages\windows\expat\expat" \
-	-I"$(GSDL_DIR)\packages\windows\gdbm\gdbm" $(Z3950_INCLUDES)
+	-I"$(PACKAGES_DIR)\windows\crypt\crypt" -I"$(PACKAGES_DIR)\windows\expat\expat" \
+	-I"$(PACKAGES_DIR)\windows\gdbm\gdbm" $(Z3950_INCLUDES)
 LDFLAGS = $(Z3950_LDFLAGS)
-LIBS = "$(GSDL_DIR)\packages\windows\crypt\crypt\crypt.lib" "$(GSDL_DIR)\packages\windows\expat\expat\libexpat.lib" \
-        "$(GSDL_DIR)\packages\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(Z3950_LIBS)
+LIBS = "$(PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
+        "$(PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(Z3950_LIBS)
 
 !IF $(GSDL_VC4)
Index: /gsdl/trunk/src/w32server/win32.mak
===================================================================
--- /gsdl/trunk/src/w32server/win32.mak	(revision 15545)
+++ /gsdl/trunk/src/w32server/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..\..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 COLSERVR_DIR = $(GSDL_DIR)\src\colservr
 PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
@@ -33,5 +34,5 @@
 
 GSDL_VC4 = 0
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 ENABLE_ACCENTFOLD = 1
 
@@ -44,5 +45,5 @@
 
 !IF $(ENABLE_ACCENTFOLD)
-ACCENTFOLD_LIBS = "$(GSDL_DIR)\indexers\packages\unac\libunac.lib" "$(GSDL_DIR)\indexers\packages\unac\iconv.lib"
+ACCENTFOLD_LIBS = "$(INDEXERS_DIR)\packages\unac\libunac.lib" "$(INDEXERS_DIR)\packages\unac\iconv.lib"
 !ELSE
 ACCENTFOLD_LIBS = 
@@ -55,11 +56,11 @@
        -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
-	   -I"$(GSDL_DIR)\src\colservr" -I"$(GSDL_DIR)\indexers\mg" \
-	   -I"$(GSDL_DIR)\packages\windows\gdbm\gdbm" \
-           -I"$(GSDL_DIR)\indexers\mg\lib" -I"$(GSDL_DIR)\indexers\mg\src\text" \
-    	   -I"$(GSDL_DIR)\indexers\mgpp\lib" -I"$(GSDL_DIR)\indexers\mgpp\text"
+	-I"$(GSDL_DIR)\src\colservr" -I"$(GSDL_DIR)\indexers\mg" \
+	-I"$(PACKAGES_DIR)\windows\gdbm\gdbm" \
+        -I"$(GSDL_DIR)\indexers\mg\lib" -I"$(GSDL_DIR)\indexers\mg\src\text" \
+    	-I"$(GSDL_DIR)\indexers\mgpp\lib" -I"$(GSDL_DIR)\indexers\mgpp\text"
 LDFLAGS =
-LIBS = "$(GSDL_DIR)\packages\windows\crypt\crypt\crypt.lib" "$(GSDL_DIR)\packages\windows\expat\expat\libexpat.lib" \
-        "$(GSDL_DIR)\packages\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(Z3950_LIBS)
+LIBS = "$(PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
+        "$(PACKAGES_DIR)\windows\gdbm\gdbm\gdbm.lib" $(ACCENTFOLD_LIBS) $(Z3950_LIBS)
 RSC = rc
 WINLIBS = kernel32.lib user32.lib gdi32.lib winspool.lib \
Index: /gsdl/trunk/src/z3950/Makefile.in
===================================================================
--- /gsdl/trunk/src/z3950/Makefile.in	(revision 15545)
+++ /gsdl/trunk/src/z3950/Makefile.in	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ../..
 INDEXERS_DIR = $(GSDL_DIR)/indexers
+PACKAGES_DIR = $(GSDL_DIR)/packages
 COLSERVR_DIR = $(GSDL_DIR)/src/colservr
 PROTOCOL_DIR = $(GSDL_DIR)/src/protocol
@@ -49,10 +50,10 @@
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
 INCLUDES = -I. -I$(GSDL_DIR) -I$(GSDL_DIR)/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) \
-	-I$(INDEXERS_DIR)/mgpp/text -I$(GSDL_DIR)/packages/yaz/yaz-2.1.4/include \
-	-I$(GSDL_DIR)/packages/yaz/yaz-2.1.4/client -I$(GSDL_DIR)/packages/d2m
+	-I$(INDEXERS_DIR)/mgpp/text -I$(PACKAGES_DIR)/yaz/yaz-2.1.4/include \
+	-I$(PACKAGES_DIR)/yaz/yaz-2.1.4/client -I$(PACKAGES_DIR)/d2m
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@
-LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(GSDL_DIR)/packages/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
-	$(GSDL_DIR)/packages/yaz/lib/libyaz.a $(GSDL_DIR)/packages/d2m/libd2m.a -lxml2
+LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
+	$(PACKAGES_DIR)/yaz/lib/libyaz.a $(PACKAGES_DIR)/d2m/libd2m.a -lxml2
 RANLIB = @RANLIB@
 
@@ -91,5 +92,5 @@
 gsdlz3950.a: $(LIBRARY_OBJECTS)
 	rm -f gsdlz3950.a
-	$(AR) cru gsdlz3950.a $(LIBRARY_OBJECTS) $(GSDL_DIR)/packages/yaz/yaz-2.1.4/client/tabcomplete.o
+	$(AR) cru gsdlz3950.a $(LIBRARY_OBJECTS) $(PACKAGES_DIR)/yaz/yaz-2.1.4/client/tabcomplete.o
 	$(RANLIB) gsdlz3950.a
 
Index: /gsdl/trunk/src/z3950/win32.mak
===================================================================
--- /gsdl/trunk/src/z3950/win32.mak	(revision 15545)
+++ /gsdl/trunk/src/z3950/win32.mak	(revision 15546)
@@ -27,4 +27,5 @@
 GSDL_DIR = ..\..
 INDEXERS_DIR = $(GSDL_DIR)\indexers
+PACKAGES_DIR = $(GSDL_DIR)\packages
 COLSERVR_DIR = $(GSDL_DIR)\src\colservr
 PROTOCOL_DIR = $(GSDL_DIR)\src\protocol
@@ -34,5 +35,5 @@
 DLL = 0
 DLLDEBUG = 0
-STLPATH = "$(GSDL_DIR)\packages\windows\stlport\stlport"
+STLPATH = "$(PACKAGES_DIR)\windows\stlport\stlport"
 
 
@@ -57,7 +58,7 @@
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
 INCLUDES = -I"$(GSDL_DIR)" -I"$(GSDL_DIR)\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
-	-I"$(INDEXERS_DIR)\mgpp\text" -I"$(GSDL_DIR)\packages\yaz\yaz-2.1.4\include" \
-	-I"$(GSDL_DIR)\packages\yaz\yaz-2.1.4\client" -I"$(GSDL_DIR)\packages\d2m" \
-	-I"$(GSDL_DIR)\packages\windows\gdbm\gdbm"
+	-I"$(INDEXERS_DIR)\mgpp\text" -I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\include" \
+	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\client" -I"$(PACKAGES_DIR)\d2m" \
+	-I"$(PACKAGES_DIR)\windows\gdbm\gdbm"
 
 !IF $(GSDL_VC4)
@@ -99,5 +100,5 @@
 gsdlz3950.lib: $(LIBRARY_OBJECTS) 
 	if EXIST gsdlz3950.lib del gsdlz3950.lib
-	$(AR) -nologo /out:gsdlz3950.lib $(LIBRARY_OBJECTS) $(GSDL_DIR)/packages/yaz/yaz-2.1.4/win/obj/tabcomplete.obj
+	$(AR) -nologo /out:gsdlz3950.lib $(LIBRARY_OBJECTS) $(PACKAGES_DIR)/yaz/yaz-2.1.4/win/obj/tabcomplete.obj
 
 all: $(LIBRARY)