Index: indexers/trunk/mg/Makefile.in
===================================================================
--- indexers/trunk/mg/Makefile.in	(revision 15515)
+++ indexers/trunk/mg/Makefile.in	(revision 15559)
@@ -28,9 +28,9 @@
 
 CC = @CC@
-CFLAGS = @CFLAGS@ -fpic 
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fpic 
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@ 
 LIBS = @LIBS@  
 TOUCH = echo timestamp >
Index: indexers/trunk/mg/java/org/greenstone/mg/Makefile.in
===================================================================
--- indexers/trunk/mg/java/org/greenstone/mg/Makefile.in	(revision 15515)
+++ indexers/trunk/mg/java/org/greenstone/mg/Makefile.in	(revision 15559)
@@ -17,6 +17,6 @@
 JAVAH = $(JAVA_HOME)/bin/javah
 JAR = $(JAVA_HOME)/bin/jar
-CFLAGS = @CFLAGS@ -ansi -DSILENT -DSHORT_SUFFIX
-CXXFLAGS = @CXXFLAGS@ -DSILENT -DSHORT_SUFFIX
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -DSILENT -DSHORT_SUFFIX
+CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -DSILENT -DSHORT_SUFFIX
 DEFS = @DEFS@
 RANLIB = @RANLIB@
@@ -24,5 +24,5 @@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS =  -lstdc++ @LIBS@
 TOUCH = echo timestamp >
Index: indexers/trunk/mg/jni/Makefile.in
===================================================================
--- indexers/trunk/mg/jni/Makefile.in	(revision 15515)
+++ indexers/trunk/mg/jni/Makefile.in	(revision 15559)
@@ -13,5 +13,5 @@
 AR = ar
 CC = @CC@
-CFLAGS = @CFLAGS@ -ansi -fpic -DSILENT -DSHORT_SUFFIX -DNZDL -DQUIET -DPARADOCNUM
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -fpic -DSILENT -DSHORT_SUFFIX -DNZDL -DQUIET -DPARADOCNUM
 DEFS = @DEFS@
 RANLIB = @RANLIB@
@@ -19,5 +19,5 @@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 #NOTE: libmgtext.a needs to come before libmglib.a !!!
 QUERY_LIBS = ../src/text/libmgtext.a ../lib/libmglib.a @LIBS@
Index: indexers/trunk/mg/lib/Makefile.in
===================================================================
--- indexers/trunk/mg/lib/Makefile.in	(revision 15515)
+++ indexers/trunk/mg/lib/Makefile.in	(revision 15559)
@@ -33,5 +33,5 @@
 AR = ar
 CC = @CC@
-CFLAGS = @CFLAGS@ -fpic 
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fpic 
 DEFS = @DEFS@
 RANLIB = @RANLIB@
@@ -40,5 +40,5 @@
 # Uncomment for compiling for the nzdl project
 #
-CFLAGS = @CFLAGS@ -DQUIET -fpic
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -DQUIET -fpic
 ##########################################
 
Index: indexers/trunk/mg/src/images/Makefile.in
===================================================================
--- indexers/trunk/mg/src/images/Makefile.in	(revision 15515)
+++ indexers/trunk/mg/src/images/Makefile.in	(revision 15559)
@@ -36,5 +36,5 @@
  
 CC = @CC@
-CFLAGS = @CFLAGS@ 
+CFLAGS = @CFLAGS@  @COMPAT32BITFLAGS@
 CPPFLAGS = @CPPFLAGS@
 DEFS = @DEFS@
@@ -42,5 +42,5 @@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS = ../../lib/libmglib.a @LIBS@
 TOUCH = echo timestamp >
Index: indexers/trunk/mg/src/text/Makefile.in
===================================================================
--- indexers/trunk/mg/src/text/Makefile.in	(revision 15515)
+++ indexers/trunk/mg/src/text/Makefile.in	(revision 15559)
@@ -37,5 +37,5 @@
 AR = ar
 CC = @CC@
-CFLAGS = @CFLAGS@ -fpic
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fpic
 DEFS = @DEFS@
 RANLIB = @RANLIB@
@@ -43,5 +43,5 @@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS = ../../lib/libmglib.a @LIBS@
 TOUCH = echo timestamp >
@@ -52,5 +52,5 @@
 # Uncomment for compiling for the nzdl project
 #
-CFLAGS = @CFLAGS@ -fpic -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fpic -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM
 ##########################################
 
Index: indexers/trunk/mgpp/Makefile.in
===================================================================
--- indexers/trunk/mgpp/Makefile.in	(revision 15515)
+++ indexers/trunk/mgpp/Makefile.in	(revision 15559)
@@ -29,9 +29,9 @@
 CC = @CC@
 CXX = @CXX@
-CFLAGS = @CFLAGS@ -ansi
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS = @LIBS@  
 TOUCH = echo timestamp >
Index: indexers/trunk/mgpp/java/org/greenstone/mgpp/Makefile.in
===================================================================
--- indexers/trunk/mgpp/java/org/greenstone/mgpp/Makefile.in	(revision 15515)
+++ indexers/trunk/mgpp/java/org/greenstone/mgpp/Makefile.in	(revision 15559)
@@ -17,6 +17,6 @@
 JAVAH = $(JAVA_HOME)/bin/javah
 JAR = $(JAVA_HOME)/bin/jar
-CFLAGS = @CFLAGS@ -ansi -DSILENT -DSHORT_SUFFIX
-CXXFLAGS = @CXXFLAGS@ -DSILENT -DSHORT_SUFFIX
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -DSILENT -DSHORT_SUFFIX
+CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -DSILENT -DSHORT_SUFFIX
 DEFS = @DEFS@
 RANLIB = @RANLIB@
@@ -24,5 +24,5 @@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS =  -lstdc++ @LIBS@
 TOUCH = echo timestamp >
Index: indexers/trunk/mgpp/lib/Makefile.in
===================================================================
--- indexers/trunk/mgpp/lib/Makefile.in	(revision 15515)
+++ indexers/trunk/mgpp/lib/Makefile.in	(revision 15559)
@@ -35,9 +35,9 @@
 CXX = @CXX@
 ifneq ($(NZDL), 1)
-CFLAGS = @CFLAGS@ -ansi -fPIC
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -fPIC
 else 
-CFLAGS = @CFLAGS@ -ansi -fPIC -DSILENT
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -fPIC -DSILENT
 endif
-CXXFLAGS = @CXXFLAGS@ -fPIC
+CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -fPIC
 DEFS = @DEFS@
 RANLIB = @RANLIB@
Index: indexers/trunk/mgpp/text/Makefile.in
===================================================================
--- indexers/trunk/mgpp/text/Makefile.in	(revision 15515)
+++ indexers/trunk/mgpp/text/Makefile.in	(revision 15559)
@@ -53,6 +53,6 @@
 CC = @CC@
 CXX = @CXX@
-CFLAGS = @CFLAGS@ -ansi -fPIC -DSILENT -DSHORT_SUFFIX $(AFFLAGS)
-CXXFLAGS = @CXXFLAGS@ -fPIC -DSILENT -DSHORT_SUFFIX $(AFFLAGS)
+CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -fPIC -DSILENT -DSHORT_SUFFIX $(AFFLAGS)
+CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -fPIC -DSILENT -DSHORT_SUFFIX $(AFFLAGS)
 DEFS = @DEFS@
 RANLIB = @RANLIB@
@@ -60,5 +60,5 @@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
-LDFLAGS = @LDFLAGS@
+LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
 LIBS = ../lib/libmgpplib.a $(AFLIBS) -lstdc++ @LIBS@
 TOUCH = echo timestamp >