Index: /gsdl/trunk/src/corba/Makefile.in
===================================================================
--- /gsdl/trunk/src/corba/Makefile.in	(revision 15562)
+++ /gsdl/trunk/src/corba/Makefile.in	(revision 15563)
@@ -35,120 +35,69 @@
 ifeq ($(USE_CORBA), 1)
 
-# FROM LIB
-
 MICO_DIR = @MICO_DIR@
 ifeq ($(MICO_DIR), default)
-MICO_INC = -I../packages/mico/mico/include
-MICO_PATH = ../bin/linux/
+MICO_INCLUDES = -I$(PACKAGES_DIR)/mico/mico/include
+MICO_PATH = $(PACKAGES_DIR)/mico/bin/
 else
 ifeq ($(MICO_DIR), yes)
-MICO_INC =
+MICO_INCLUDES =
 else
-MICO_INC = -I$(MICO_DIR)
+MICO_INCLUDES = -I$(MICO_DIR)
 endif
 MICO_PATH =
 endif
-MINCLUDES = -I/usr/include/g++-2/ -I/usr/lib/gcc-lib/i386-slackware-linux/egcs-2.91.66/include/ -I/usr/include -I.  -I../indexers/mg/lib $(MICO_INC) -I..
 
-MCFLAGS = -Wall -Wunused
 
-MCOMPILE = $(MICO_PATH)mico-c++ -x c++ $(MCFLAGS) $(DEFS) $(MINCLUDES) -c
+AR = ar
+CC = @CC@
+CFLAGS = @CFLAGS@
+DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER
+# Do NOT add the "recpt" directory here: the CORBA code should be independent of the receptionist!
+INCLUDES = -I$(GSDL_DIR)/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) -I$(INDEXERS_DIR)/mgpp/text $(MICO_INCLUDES)
+INSTALL = @INSTALL@
+LDFLAGS = @LDFLAGS@
+LIBS = @LIBS@ @GDBM_LIBPATH@ -lgdbm -L$(PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
+	$(PACKAGES_DIR)/yaz/lib/libyaz.a $(PACKAGES_DIR)/d2m/libd2m.a -lxml2
+RANLIB = @RANLIB@
+
+
+COMPILE = $(MICO_PATH)mico-c++ -x c++ $(CFLAGS) $(DEFS) $(INCLUDES) -c
 
 
 .SUFFIXES: .mpp .o
 .mpp.o:
-	$(MCOMPILE) $<
+	$(COMPILE) $<
 
 
-CORBAHEADERS = \
-  corbaconv_text_t.h corbatext_t.h
-CORBASOURCES = \
-  corbaiface.mpp    corbatext_t.mpp  corbaconv_text_t.mpp corbaiface_skel.mpp
-CORBAOBJECTS = \
-  corbaiface.o      corbatext_t.o    corbaconv_text_t.o   corbaiface_skel.o 
+SOURCES = \
+	corbaconv_text_t.mpp \
+	corbaiface.mpp \
+	corbaiface_skel.mpp \
+	corbaServer.mpp \
+	corbatext_t.mpp
 
+OBJECTS = \
+	corbaconv_text_t.o \
+	corbaiface.o \
+	corbaiface_skel.o \
+	corbaServer.o \
+	corbatext_t.o
 
-corbaiface_skel.h: corbaiface.idl
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH PATH=$(MICO_PATH):$(PATH) idl --boa --no-poa --c++-skel --c++-suffix=mpp $?
-corbaiface_skel.mpp: corbaiface.idl
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH PATH=$(MICO_PATH):$(PATH) idl --boa --no-poa --c++-skel --c++-suffix=mpp $?
-corbaiface.mpp: corbaiface.idl
-	LD_LIBRARY_PATH=.:$$LD_LIBRARY_PATH PATH=$(MICO_PATH):$(PATH) idl --boa --no-poa --c++-skel --c++-suffix=mpp $?
+EXECUTABLE = corbaserver corbarecptldd
 
+all: $(EXECUTABLE)
 
-# FROM COLSERVR
-# ===========================================================================================
-#   CORBA SUPPORT
-
-MCFLAGS = @CFLAGS@ -Wall -Wunused
-
-MICO_DIR = @MICO_DIR@
-ifeq ($(MICO_DIR), default)
-MICO_INC = -I../../packages/mico/include
-MICO_PATH = ../../bin/linux/
-else
-ifeq ($(MICO_DIR), yes)
-MICO_INC =
-MICO_PATH =
-else
-MICO_INC = -I$(MICO_DIR)
-MICO_PATH =
-endif
-endif
-MINCLUDES = -I. -I../../lib -I../recpt  -I$(INDEXERS_DIR)/mgpp/text $(MICO_INC)
-
-MCOMPILE = $(MICO_PATH)mico-c++ -x c++ $(MCFLAGS) $(DEFS) $(MINCLUDES) -c
-
-.SUFFIXES: .mpp .o
-.mpp.o:
-	$(MCOMPILE) $<
-
-CORBAHEADERS = corbaServer.h
-CORBASOURCES = corbaServer.mpp
-CORBAOBJECTS = corbaServer.o ../../lib/corbaiface_skel.o
-
-# ===========================================================================================
-
-
-# FROM RECPT
-
-CORBA_CFLAGS=-DUSE_CORBA
-
-
-EXEC = corbaserver corbarecptldd
-
-
-MICO_DIR = @MICO_DIR@
-MICO_VER = @MICO_VER@
-ifeq ($(MICO_DIR), yes)
-MICO_INC =
-MICO_LIB =
-MICO_PATH =
-else
-ifeq ($(MICO_DIR), default)
-MICO_DIR = ../../packages/mico/include
-MICO_PATH = ../../bin/linux/
-else
-MICO_PATH =
-endif
-MICO_INC = -I$(MICO_DIR)
-MICO_LIB = -L$(MICO_DIR)
-endif
-MINCLUDES = -I. -I../../lib -I../colservr -I$(INDEXERS_DIR)/mgpp/text $(MICO_INC)
-
-MCOMPILE = $(MICO_PATH)mico-c++ -x c++ $(MCFLAGS) $(DEFS) $(MINCLUDES) -c
 MSTATIC = @STATIC@
 MLINK = $(MICO_PATH)mico-ld $(MSTATIC)  $(LDFLAGS) $(MICO_LIB) -o  $@
 MLIBS = $(LIBS) -L../../lib/ -lmico$(MICO_VER) -lmicoaux$(MICO_VER)
 
-
-.SUFFIXES: .mpp .o
-.mpp.o:
-	$(MCOMPILE) $< -o $@
+# .SUFFIXES: .mpp .o
+# .mpp.o:
+# 	$(MCOMPILE) $< -o $@
 
 
-corbaserver: $(RECPTLIB_OBJS)
+corbaserver: $(OBJECTS)
 	@echo -e building corbaserver
-	$(MLINK) $(RECPTLIB_OBJS) $(MLIBS)
+	$(MLINK) $(OBJECTS) $(MLIBS)
 # stripping symbols was a cunning plan, but caused difficulties when 
 #  it came to debugging ...